Subject: P1394> 1394 Printer Working Group - Albuquerque Meeting Summary

From: "gregory leclair" <[email-masked]>
Date: Tue, 14 Jan 97 03:40:22 PDT

Minutes of the 1394 PWG meeting: 1-8-'97

     I'd like to summarize the events of the PWG meeting last week in 
     Albuquerque to all those on the p1394 and 1394-prt-img mailing lists.
     
     For those who attended the Oct. 1394 TA meeting and the subsequent 
     Printer Group Meeting at Adobe on Dec. 6th, there was an open issue of 
     how to support a printing standards effort. The TA wanted to establish 
     a standard as did the Printer Working Group (PWG). The docs from the 
     12/6 meeting are available via anonymous ftp at:
     
                 ftp.pwg.org/pub/pwg/p1394/mtg12696
     
     The Dec. 6th meeting was a way for both groups to get together and 
     figure out how to proceed. As an action item, I agreed to draft a 
     charter that would be reviewed. That draft charter was posted to the 
     [email-masked], [email-masked] and [email-masked] mailing 
     lists. 
     
     Subsequent to that posting, the PWG met last week in Albuquerque. The 
     draft charter was reviewed and found to be quite broad in scope. The 
     PWG asked if the charter could be refined. Since the printing issue is 
     still quite open, I revised the draft with the assistance of others 
     present who where also interested in developing a standard 
     (representatives of HP, EPSON, Warp Nine, Canon and Printronix were 
     present). 
     
     Attendees:
     Brian Batchelder           Hewlett Packard
     Osamu Hirata               Canon, Inc.
     Gregory LeClair            EPSON Research Center
     Fumio Nagasaka             Seiko EPSON
     Ron Norton                 Printronix
     Larry Stein                Warp Nine Engineering
     Satoshi Yamamuro           Canon, Inc.
     
     Note: PWG meeting attendee list is larger. Please refer to 
           the minutes of the PWG meeting. This list is composed 
           of the individuals participating in the 1394 PWG meeting.
       
     I planned on reviewing this charter this week in Houston at the 1394 
     TA meetings. Unfortunately, I was stranded in Dallas by the weather 
     and have since returned to San Jose. Please comment on the proposed 
     charter at the appropriate address.
     
     Keep warm.
     
     Greg LeClair
     1394 Printer Working Group
     
     =================================================================

     Revised Draft (approved by PWG):

     ============================Draft Text Appears Below=============
     
     1394 Printer Working Group
     Draft Charter - January 8, 1997
     
     Current status: Proposal of charter for 1394 Printer Working Group
     
     Mailing lists: 
     General Discussion:                [email-masked]
     To Subscribe:                      [email-masked] 
     Archive:                           ftp.pwg.org/pub/pwg/p1394
     
     Description of Working Group and Goals
     
     Purpose:
     IEEE-1394 High Speed Serial Bus enables new and enhanced printing 
     applications. Standardization of the 1394 printing model(s) grows and 
     extends the printing market and accelerates the adoption of the 
     IEEE-1394 standard interface.
     
     1394 printing applications want to take advantage of the new 
     capabilities of 1394, including: 
     - Multiple Asynchronous and Isochronous streams 
     - Peer to Peer Communication
     - High Bandwidth
     
     Standards for use of these capabilities need to be developed and 
     endorsed for use by 1394 printing devices and other 1394 devices that 
     wish to communicate with them. These standards will enable 
     interoperability between 1394 devices.
     
     Scope:
     The 1394 Printer Working Group will be the focal point for the 
     development and coordination of a comprehensive printing solution for 
     the 1394 I/F.
     
     This project will produce the necessary set of specifications to enable the 
     printing solution. These specifications may include endorsements of 
     existing specifications and new specifications developed under charter from 
     the 1394 Printer Working Group.
     
     Areas of review will include:
     Job Submission
     Printing Models
     Transport protocols
     Link Layers
     Data formats
     Device Management
     Service Discovery
     
     The 1394 Printer Working Group is jointly chartered by the PWG and the 
     1394 TA and is open to anyone interested in contributing to the 
     project. The 1394 PWG will seek the participation of key 
     representatives of the computer and consumer electronics industry.

     Goals and Milestones:
     
     Oct 96
     First meeting of a proposed Printer Working Group for 1394 Serial bus 
     at Oct. 1394 TA meeting (Redmond, WA)
     
     Dec 96
     First meeting of P1394 Printer Working Group at Adobe Systems in San 
     Jose, CA.
     
     Jan 97
     Review proposed charter for P1394 Group at Albuquerque PWG Meeting 
     (Jan. 8, 1997) (DONE)
     
     Jan 97     
     If agreement can be reached on Working Group Charter, propose an 
     agreed upon charter to 1394 TA Steering Committee in Houston at the 
     1394 TA Meeting (Jan. 13, 1997).
     
     Feb 97     
     First working meeting in conjunction with IEEE 1284.4 working group on 
     Feb. 27th or Feb. 28th to define major tasks.